Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034101
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-09-27 16:072016-09-29 23:30
ReporterngarciaView Statuspublic 
Assigned ToSanjota 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisionfda6c9f97c7f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034101: When creating a new general ledger, some tables from other general ledgers are being activated

DescriptionWhen creating a new general ledger, some tables from other general ledgers are being activated
Steps To ReproduceCheck through database the tables that are set as default accounting:

SELECT tablename FROM AD_TABLE WHERE ISDEFAULTACCT='Y'

As group admin role:
   Set as inactive that tables in an already existing General Ledger Configuration (Active tables)
   Create a new General Ledger
   Check the tables have been activated in the old General Ledger Configuration
Proposed SolutionAdd the new.C_ACCTSCHEMA_ID filter to the update made in the c_acctschema_trg
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0090367)
Sanjota (developer)
2016-09-29 08:46

Test plan:

Check through database the tables that are set as default accounting:

SELECT tablename FROM AD_TABLE WHERE ISDEFAULTACCT='Y'

As group admin role:
   Set as inactive that tables in an already existing General Ledger Configuration (Active tables)
   Create a new General Ledger
   Observe the tables inactive(in same state as in before creation of new general ledger) in the General Ledger Configuration.
   Only tables in new General Ledger Configuration are active.
(0090376)
hgbot (developer)
2016-09-29 14:32

Repository: erp/devel/pi
Changeset: fda6c9f97c7ff78697a7cd44b78172a25b9e8d43
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Thu Sep 29 12:10:49 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/fda6c9f97c7ff78697a7cd44b78172a25b9e8d43 [^]

Fixes issue 34101: Fix to activation of tables in old GL due to new GL creation

Made changes to fix issue with activation of inactive tables when creating new general ledger

---
M src-db/database/model/triggers/C_ACCTSCHEMA_TRG.xml
---
(0090377)
hgbot (developer)
2016-09-29 14:32

Repository: erp/devel/pi
Changeset: e9a62bbc525c1259aeba266879fa348ff170106c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Sep 29 14:11:19 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e9a62bbc525c1259aeba266879fa348ff170106c [^]

Related to issue 34101: Code review improvements

---
M src-db/database/model/triggers/C_ACCTSCHEMA_TRG.xml
---
(0090379)
aferraz (developer)
2016-09-29 14:35

Code review + Testing OK
(0090395)
hudsonbot (developer)
2016-09-29 23:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f5481831914 [^]
Maturity status: Test
(0090396)
hudsonbot (developer)
2016-09-29 23:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f5481831914 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-27 16:07 ngarcia New Issue
2016-09-27 16:07 ngarcia Assigned To => Triage Finance
2016-09-27 16:07 ngarcia Modules => Core
2016-09-27 16:07 ngarcia Triggers an Emergency Pack => No
2016-09-27 16:08 ngarcia Issue Monitored: networkb
2016-09-28 09:27 aferraz Assigned To Triage Finance => Sanjota
2016-09-29 08:37 Sanjota Status new => scheduled
2016-09-29 08:46 Sanjota Note Added: 0090367
2016-09-29 14:32 hgbot Checkin
2016-09-29 14:32 hgbot Note Added: 0090376
2016-09-29 14:32 hgbot Status scheduled => resolved
2016-09-29 14:32 hgbot Resolution open => fixed
2016-09-29 14:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fda6c9f97c7ff78697a7cd44b78172a25b9e8d43 [^]
2016-09-29 14:32 hgbot Checkin
2016-09-29 14:32 hgbot Note Added: 0090377
2016-09-29 14:35 aferraz Review Assigned To => aferraz
2016-09-29 14:35 aferraz Note Added: 0090379
2016-09-29 14:35 aferraz Status resolved => closed
2016-09-29 14:35 aferraz Fixed in Version => 3.0PR16Q4
2016-09-29 23:30 hudsonbot Checkin
2016-09-29 23:30 hudsonbot Note Added: 0090395
2016-09-29 23:30 hudsonbot Checkin
2016-09-29 23:30 hudsonbot Note Added: 0090396


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker